qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gordon Sim <gordon.r....@gmail.com>
Subject Re: Client - broker compatibility
Date Wed, 07 Nov 2012 10:49:12 GMT
On 11/07/2012 09:07 AM, Jan Bares wrote:
> I have another question about compatibility - does the client use
> AMQP protocol when talking to the broker?

Yes

> If yes, then, in theory,
> can I use any AMQP compatible client to talk to C++ QPID broker or
> use the QPID java client to talk to, lets say, RabbitMQ?

Yes, although the exact version(s) of the protocol need to match. The 
Qpid Java Client supports 0-9-1 (which is what RabbitMQ supports) and 
0-10. There is also a version that supports AMQP 1.0.

The Qpid C++ broker supports only 0-10, though initial 1.0 support will 
be included in the next release (currently in alpha).

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message